VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::cli::NamespaceTypes::Info Class Reference

The `Namespace.Info` class contains information about a namespace. More...

List of all members.

## Public Member Functions
| Info ()
| Creates a default new instance.
vmware.vapi.metadata.cli.NamespaceTypes.Identity | GetIdentity ()
| Basic namespace identity.
void | SetIdentity (vmware.vapi.metadata.cli.NamespaceTypes.Identity identity)
| Basic namespace identity.
string | GetDescription ()
| The text description displayed to the user in help output.
void | SetDescription (string description)
| The text description displayed to the user in help output.
global::System.Collections.Generic.List < vmware.vapi.metadata.cli.NamespaceTypes.Identity > | GetChildren ()
| The children of this namespace in the tree of CLI namespaces.
void | SetChildren (global::System.Collections.Generic.List< vmware.vapi.metadata.cli.NamespaceTypes.Identity > children)
| The children of this namespace in the tree of CLI namespaces.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Namespace.Info` class contains information about a namespace.

It includes the identity of the namespace, a description, information children namespaces.

## Constructor & Destructor Documentation

vmware::vapi::metadata::cli::NamespaceTypes::Info::Info | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::cli::NamespaceTypes::Info::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::cli::NamespaceTypes::Info::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::cli::NamespaceTypes::Info::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::cli::NamespaceTypes::Info::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::cli::NamespaceTypes::Info::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::cli::NamespaceTypes::Info::Equals | ( | object | obj | ) | `[inline]`

global::System.Collections.Generic.List<vmware.vapi.metadata.cli.NamespaceTypes.Identity> vmware::vapi::metadata::cli::NamespaceTypes::Info::GetChildren | ( |  | ) | `[inline]`

The children of this namespace in the tree of CLI namespaces.

string vmware::vapi::metadata::cli::NamespaceTypes::Info::GetDescription | ( |  | ) | `[inline]`

The text description displayed to the user in help output.

override int vmware::vapi::metadata::cli::NamespaceTypes::Info::GetHashCode | ( |  | ) | `[inline]`

vmware.vapi.metadata.cli.NamespaceTypes.Identity vmware::vapi::metadata::cli::NamespaceTypes::Info::GetIdentity | ( |  | ) | `[inline]`

Basic namespace identity.

void vmware::vapi::metadata::cli::NamespaceTypes::Info::SetChildren | ( | global::System.Collections.Generic.List< vmware.vapi.metadata.cli.NamespaceTypes.Identity > | children | ) | `[inline]`

The children of this namespace in the tree of CLI namespaces.

void vmware::vapi::metadata::cli::NamespaceTypes::Info::SetDescription | ( | string | description | ) | `[inline]`

The text description displayed to the user in help output.

void vmware::vapi::metadata::cli::NamespaceTypes::Info::SetIdentity | ( | vmware.vapi.metadata.cli.NamespaceTypes.Identity | identity | ) | `[inline]`

Basic namespace identity.

override string vmware::vapi::metadata::cli::NamespaceTypes::Info::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- NamespaceTypes.cs